{% extends 'base_generic.html' %}

{% block content %}
    <small class="text-muted">(TODO: Better UI)</small>
    <form class="m-2" action="" method="get">
        {% for text in form.columns %}
            {{ text }}
        {% endfor %}
        <button class="btn btn-primary d-block m-2" type="submit" value="Submit">Count</button>
    </form>
    <hr>
    {% if people %}
        <table class="sortable">
            <thead>
            <tr>
                {% for field in headers %}
                    <th>{{ field }}</th>
                {% endfor %}
            </tr>
            </thead>
            <tbody>
            {% for person in people %}
                <tr>
                    {% for field in person %}
                        <td>{{ field|default:"-" }}</td>
                    {% endfor %}
                </tr>
            {% endfor %}
            </tbody>
        </table>
    {% endif %}
{% endblock %}
